Index: cards/CLICdet/CLICdet_JetScale_1500.tcl
===================================================================
--- cards/CLICdet/CLICdet_JetScale_1500.tcl	(revision c585b78d8b3ed7d6fdc243d2b6cc19d6082f55ad)
+++ cards/CLICdet/CLICdet_JetScale_1500.tcl	(revision c585b78d8b3ed7d6fdc243d2b6cc19d6082f55ad)
@@ -0,0 +1,152 @@
+module EnergyScale JetEnergyScale_VLCR05N2 {
+    set InputArray  JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+    set OutputArray JES_VLCjetsR05N2
+
+     # Scale Formula
+    set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05)}
+}
+module EnergyScale JetEnergyScale_VLCR05N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3                                        
+  set OutputArray JES_VLCjetsR05N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4                                        
+  set OutputArray JES_VLCjetsR05N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5                                        
+  set OutputArray JES_VLCjetsR05N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6                                        
+  set OutputArray JES_VLCjetsR05N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive                        
+  set OutputArray JES_VLCjetsR05_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2                                        
+  set OutputArray JES_VLCjetsR07N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3                                        
+  set OutputArray JES_VLCjetsR07N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4                                        
+  set OutputArray JES_VLCjetsR07N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5                                        
+  set OutputArray JES_VLCjetsR07N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6                                        
+  set OutputArray JES_VLCjetsR07N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive                        
+  set OutputArray JES_VLCjetsR07_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2                                        
+  set OutputArray JES_VLCjetsR10N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3                                        
+  set OutputArray JES_VLCjetsR10N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4                                        
+  set OutputArray JES_VLCjetsR10N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5                                        
+  set OutputArray JES_VLCjetsR10N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6                                        
+  set OutputArray JES_VLCjetsR10N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive                        
+  set OutputArray JES_VLCjetsR10_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2                                        
+  set OutputArray JES_VLCjetsR12N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3                                        
+  set OutputArray JES_VLCjetsR12N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4                                        
+  set OutputArray JES_VLCjetsR12N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5                                        
+  set OutputArray JES_VLCjetsR12N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6                                        
+  set OutputArray JES_VLCjetsR12N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive                        
+  set OutputArray JES_VLCjetsR12_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2                                        
+  set OutputArray JES_VLCjetsR15N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3                                        
+  set OutputArray JES_VLCjetsR15N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4                                        
+  set OutputArray JES_VLCjetsR15N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5                                        
+  set OutputArray JES_VLCjetsR15N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6                                        
+  set OutputArray JES_VLCjetsR15N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive                        
+  set OutputArray JES_VLCjetsR15_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.0 ) + (abs(eta) >= 0.76 ) * (1.05) }                                                              
+}                                                 
Index: cards/CLICdet/CLICdet_JetSmearing_1500.tcl
===================================================================
--- cards/CLICdet/CLICdet_JetSmearing_1500.tcl	(revision c585b78d8b3ed7d6fdc243d2b6cc19d6082f55ad)
+++ cards/CLICdet/CLICdet_JetSmearing_1500.tcl	(revision c585b78d8b3ed7d6fdc243d2b6cc19d6082f55ad)
@@ -0,0 +1,152 @@
+module MomentumSmearing JetMomentumSmearing_VLCR05N2 {
+    set InputArray  FastJetFinderVLC_R05_N2/VLCjetsR05N2
+    set OutputArray JER_VLCjetsR05N2
+
+     # Resolution given in dpT/pT.
+    set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }
+}
+module MomentumSmearing JetMomentumSmearing_VLCR05N3 {                                       
+ set InputArray  FastJetFinderVLC_R05_N3/VLCjetsR05N3                                        
+  set OutputArray JER_VLCjetsR05N3                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05N4 {                                       
+ set InputArray  FastJetFinderVLC_R05_N4/VLCjetsR05N4                                        
+  set OutputArray JER_VLCjetsR05N4                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05N5 {                                       
+ set InputArray  FastJetFinderVLC_R05_N5/VLCjetsR05N5                                        
+  set OutputArray JER_VLCjetsR05N5                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05N6 {                                       
+ set InputArray  FastJetFinderVLC_R05_N6/VLCjetsR05N6                                        
+  set OutputArray JER_VLCjetsR05N6                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05_inclusive {                               
+ set InputArray  FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                        
+  set OutputArray JER_VLCjetsR05_inclusive                                                   
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N2 {                                       
+ set InputArray  FastJetFinderVLC_R07_N2/VLCjetsR07N2                                        
+  set OutputArray JER_VLCjetsR07N2                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N3 {                                       
+ set InputArray  FastJetFinderVLC_R07_N3/VLCjetsR07N3                                        
+  set OutputArray JER_VLCjetsR07N3                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N4 {                                       
+ set InputArray  FastJetFinderVLC_R07_N4/VLCjetsR07N4                                        
+  set OutputArray JER_VLCjetsR07N4                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N5 {                                       
+ set InputArray  FastJetFinderVLC_R07_N5/VLCjetsR07N5                                        
+  set OutputArray JER_VLCjetsR07N5                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N6 {                                       
+ set InputArray  FastJetFinderVLC_R07_N6/VLCjetsR07N6                                        
+  set OutputArray JER_VLCjetsR07N6                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07_inclusive {                               
+ set InputArray  FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                        
+  set OutputArray JER_VLCjetsR07_inclusive                                                   
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N2 {                                       
+ set InputArray  FastJetFinderVLC_R10_N2/VLCjetsR10N2                                        
+  set OutputArray JER_VLCjetsR10N2                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N3 {                                       
+ set InputArray  FastJetFinderVLC_R10_N3/VLCjetsR10N3                                        
+  set OutputArray JER_VLCjetsR10N3                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N4 {                                       
+ set InputArray  FastJetFinderVLC_R10_N4/VLCjetsR10N4                                        
+  set OutputArray JER_VLCjetsR10N4                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N5 {                                       
+ set InputArray  FastJetFinderVLC_R10_N5/VLCjetsR10N5                                        
+  set OutputArray JER_VLCjetsR10N5                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N6 {                                       
+ set InputArray  FastJetFinderVLC_R10_N6/VLCjetsR10N6                                        
+  set OutputArray JER_VLCjetsR10N6                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10_inclusive {                               
+ set InputArray  FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                        
+  set OutputArray JER_VLCjetsR10_inclusive                                                   
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N2 {                                       
+ set InputArray  FastJetFinderVLC_R12_N2/VLCjetsR12N2                                        
+  set OutputArray JER_VLCjetsR12N2                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N3 {                                       
+ set InputArray  FastJetFinderVLC_R12_N3/VLCjetsR12N3                                        
+  set OutputArray JER_VLCjetsR12N3                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N4 {                                       
+ set InputArray  FastJetFinderVLC_R12_N4/VLCjetsR12N4                                        
+  set OutputArray JER_VLCjetsR12N4                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N5 {                                       
+ set InputArray  FastJetFinderVLC_R12_N5/VLCjetsR12N5                                        
+  set OutputArray JER_VLCjetsR12N5                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N6 {                                       
+ set InputArray  FastJetFinderVLC_R12_N6/VLCjetsR12N6                                        
+  set OutputArray JER_VLCjetsR12N6                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12_inclusive {                               
+ set InputArray  FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive                        
+  set OutputArray JER_VLCjetsR12_inclusive                                                   
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N2 {                                       
+ set InputArray  FastJetFinderVLC_R15_N2/VLCjetsR15N2                                        
+  set OutputArray JER_VLCjetsR15N2                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N3 {                                       
+ set InputArray  FastJetFinderVLC_R15_N3/VLCjetsR15N3                                        
+  set OutputArray JER_VLCjetsR15N3                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N4 {                                       
+ set InputArray  FastJetFinderVLC_R15_N4/VLCjetsR15N4                                        
+  set OutputArray JER_VLCjetsR15N4                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N5 {                                       
+ set InputArray  FastJetFinderVLC_R15_N5/VLCjetsR15N5                                        
+  set OutputArray JER_VLCjetsR15N5                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N6 {                                       
+ set InputArray  FastJetFinderVLC_R15_N6/VLCjetsR15N6                                        
+  set OutputArray JER_VLCjetsR15N6                                                           
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15_inclusive {                               
+ set InputArray  FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive                        
+  set OutputArray JER_VLCjetsR15_inclusive                                                   
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
+}                                                 
